
#include "stdafx.h"
#include "Mp3.h"

CMp3::CMp3()
{
	m_hDLL = LoadLibrary("vbmp3.dll");
	if( IsAble() )
	{
		F_Init = (BOOL_VOID)GetProcAddress(m_hDLL,"vbmp3_init");
		F_Free = (BOOL_VOID)GetProcAddress(m_hDLL,"vbmp3_free");
		F_Close = (BOOL_VOID)GetProcAddress(m_hDLL,"vbmp3_close");
		F_Stop = (BOOL_VOID)GetProcAddress(m_hDLL,"vbmp3_stop");
		F_Play = (BOOL_VOID)GetProcAddress(m_hDLL,"vbmp3_play");
		F_Pause = (BOOL_VOID)GetProcAddress(m_hDLL,"vbmp3_pause");
		F_Restart = (BOOL_VOID)GetProcAddress(m_hDLL,"vbmp3_restart");
		F_Open = (OPEN)GetProcAddress(m_hDLL,"vbmp3_open");
		F_State = (STATE)GetProcAddress(m_hDLL,"vbmp3_getState");
		F_Seek = (SEEK)GetProcAddress(m_hDLL,"vbmp3_seek");
		F_Vol = (VOL)GetProcAddress(m_hDLL,"vbmp3_setVolume");
		F_Ver = (VERSION)GetProcAddress(m_hDLL,"vbmp3_getVersion");
		F_Tag = (TAG)GetProcAddress(m_hDLL,"vbmp3_getTagInfo");
		F_Mpeg = (MPEG)GetProcAddress(m_hDLL,"vbmp3_getMpegInfo");

		F_Init();
	}
}

CMp3::~CMp3()
{
	if( IsAble() )
	{
		F_Close();
		F_Free();
		FreeLibrary(m_hDLL);
	}
}

int CMp3::GetVersion()
{
	if( !IsAble() )	return -1;
	return F_Ver();
}

bool CMp3::Open( const char* pFileName )
{
	if( !IsAble() )	return false;
	F_Stop();	F_Close();
	if( F_Open( pFileName,&m_InputInfo ) )
	{
		F_Tag(&m_TagInfo);
		F_Mpeg(&m_MpegInfo);
		return true;
	}
	return false;
}

bool CMp3::Play()
{
	if( !IsAble() )	return false;
	return (TRUE==F_Play());
}

bool CMp3::Stop()
{
	if( !IsAble() )	return false;
	return (TRUE==F_Stop());
}

bool CMp3::Restart()
{
	if( !IsAble() )	return false;
	return (TRUE==F_Restart());
}

bool CMp3::Pause()
{
	if( !IsAble() )	return false;
	return (TRUE==F_Pause());
}

int CMp3::GetState(int* sec)
{
	if( !IsAble() )	return -1;
	return F_State(sec);
}

bool CMp3::SeekTo( int sec )
{
	if( !IsAble() )	return false;
	return (TRUE==F_Seek(sec));
}

bool CMp3::SetVolume( int r, int l )
{
	if( !IsAble() )	return false;
	return (TRUE==F_Vol(r,l));
}

